<?php

// PayCall Cart - Direct | IPN script
//
// this script is designed to Detect, Verify and Update any transaction coming from the PayCall Cart system.
// 

############################################################################################################
############################################### PayCall Cart Check ######################################### 
############################################################################################################

require_once( 'class.paycall.php' );
define("BUSINESS_CODE" , 10);  //paycall unique id business identifier   

//Check if Request is coming from PayCall Hosts
if(!Paycall::checkRequest()){
    header($_SERVER['SERVER_PROTOCOL'].' 400 Bad Request'); 
    exit();
}    

// Receive needed datas
$custom = trim( ($_POST["custom_data"] ) );
$total_amount = $_POST["total"];
$order_id = trim( $_REQUEST['id'] );                  //Paycall Cart unique id
$paycall_unique = trim($_REQUEST['paycall_unique']);  //Paycall unique transaction id
$items = $_REQUEST['item'];

$pos = strpos($trans_order,'-');
$business_code = substr($trans_order,0,$pos);

$log = "NEW INCOMING PAYMENT NOTIFICATION" ."\n"; 
$log = "custom: " . $custom ."\n";
$log .= "total_amount: " . $total_amount ."\n";
$log .= "trans_order: " . $order_id ."\n"; 
$log .= "paycall_unique: " . $paycall_unique ."\n"; 
$log .= ": " . $business_code ."\n"; 
$log .= print_r($items, true) ."\n"; 

//check if request business code matching site business code 
if ($business_code != BUSINESS_CODE){   
    Paycall::setLog("Error - business code mismatch ! \n cart:$business_code | site:".BUSINESS_CODE." \n" . $log );
    exit();
}

//Verified transaction with PayCall
if(!Paycall::verifiedTransaction($paycall_unique,$business_code)){
    app_Finance::LogPayment( 'Not verified', __FILE__, __LINE__, $custom );
    Paycall::setLog("Error - Transaction [$paycall_unique] is not verified !\n" . $log ); 
    exit();  
}

//write paycall log
Paycall::setLog($log);  
############################################################################################################  
########################################### PayCall Cart Check - END ####################################### 
############################################################################################################  



##########################################################################################################
#                                                                                                        #
#               This is the plase to update the database with the transaction data                       #
#                                                                                                        #
#                                                                                                        #


exit();                                                                                                   
#                                                                                                         #
#                                                                                                         #
###########################################################################################################