<?php

// PayCall Cart - Direct | pre_checkout
//
// this page renders and create a form which contains the ORDER INFO and CART GLOBALS DATA.
// 
//
// ORDER INFO: 
// all the data that will be displayed to the user in the cart (item name, price, quantity...)
//
// CART GLOBALS DATA:
// 1) Cart design (business_name, logo) 
// 2) Unique data of the client (business code, inp_url(notification ws) , back_url(landing page) , custom_data)
// 3) Cart constants (action, shipping_form)


    function curPageURL() {
        $pageURL = 'http';
        if ($_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
        $pageURL .= "://";
        if ($_SERVER["SERVER_PORT"] != "80") {
            $pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
        } else {
            $pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
        }
        return $pageURL;
    }
    define("FOLDER_PATH" , dirname(curPageURL()) . "/");  //the global path to this folder - can be changed to a static string   
    define("BUSINESS_CODE" , 10);  //paycall unique id business identifier
    
    ////////////////////render cart items from list////////////////////
    $itemsArray = array();
    
    //add item to list
    $itemsArray[] = array(
        "name" => "מוצר מרשימה",
        "number" => "rrt-34",
        "price" => "34",
        "quantity" => "1",             
        "digital" => "0", 
     ); 
     
     $itemsArray[] = array(
        "name" => "מוצר מרשימה",
        "number" => "rrt-55",
        "price" => "2",
        "quantity" => "2",             
        "digital" => "0", 
        "more_info" => array("מידע נוסף","עוד מידע"),
     ); 
     
     $renderdList = "";
     $i = 5;
     foreach($itemsArray as $item){
        $renderdList .= '<input type="hidden" name="item['.$i.'][number]" value="'.$item["number"].'" />
                         <input type="hidden" name="item['.$i.'][price]" value="'.$item["price"].'" />
                         <input type="hidden" name="item['.$i.'][name]" value="'.$item["name"].'" />
                         <input type="hidden" name="item['.$i.'][quantity]" value="'.$item["quantity"].'" />
                         <input type="hidden" name="item['.$i.'][digital]" value="'.$item["digital"].'" />';
        if(isset($item["more_info"])){
            foreach($item["more_info"] as $more_info){
                $renderdList .= '<input type="hidden" name="item['.$i.'][more_info][]" value="'.$more_info.'" />';        
           }
        }
                        
        $i++; 
     }
     ////////////////////////////////////////////////////////////////////s
?>


<!DOCTYPE html> 
<html>
    <body>
        <h1 style="text-align: center;" dir="rtl">הינך מעובר לעמוד התשלום...</h1>
        <div style="text-align: center">
        
        <form name="purchase_form" action="http://cart.paycall.co.il/" method="post" >

            <!-- init cart variables --> 
            <input type="hidden" name="charset" value="utf-8" /> 
            <input type="hidden" name="action" value="setPayCallDirect" />
            <input type="hidden" name="business_code" value="<?php echo BUSINESS_CODE ?>" />
            <input type="hidden" name="business_name" value="PayCall Test" />
            <input type="hidden" name="logo" value="http://paycall.co.il/images/logo.png" />
            <input type="hidden" name="custom_data" value="" />  

            <input type="hidden" name="shipping_form" value="0" /> 
            <input type="hidden" name="back_url" value="<?php echo FOLDER_PATH . "landing_page.php"  ?>" />
            <input type="hidden" name="ipn_url" value="<?php echo FOLDER_PATH . "ipn.php"  ?>" /> 
            <!-- init cart variables - END -->
            
            <!-- item 1 -->
            <input type="hidden" name="item[1][number]" value="ASD-1" />
            <input type="hidden" name="item[1][price]" value="1" />
            <input type="hidden" name="item[1][name]" value="שם של מוצר" />
            <input type="hidden" name="item[1][quantity]" value="1" />
            <input type="hidden" name="item[1][digital]" value="1" />
            <input type="hidden" name="item[1][more_info][]" value="פרטים נוספים על המוצר" /> 
            <input type="hidden" name="item[1][more_info][]" value="אפשר להוסיף מספר מרובה של פרטים" />
            <input type="hidden" name="item[1][more_info][]" value="גודל: XL" /> 
            <input type="hidden" name="item[1][more_info][]" value="צבע: כחול" />
            <!-- item 1 - END -->
            
            <!-- item 2 -->
            <input type="hidden" name="item[2][number]" value="DFG-2" />
            <input type="hidden" name="item[2][price]" value="1" />
            <input type="hidden" name="item[2][name]" value=" נוסף שם של מוצר" />
            <input type="hidden" name="item[2][quantity]" value="1" />
            <input type="hidden" name="item[2][digital]" value="1" />
            <input type="hidden" name="item[2][more_info][]" value="גודל: M" /> 
            <input type="hidden" name="item[2][more_info][]" value="צבע: שחור" />
            <!-- item 2 - END -->
            
            <!-- items from PHP rendering -->
            <?php echo $renderdList ?>
            <!-- items from PHP rendering - END -->
            
            <input type="submit" value="לחץ כאן אם לא הועברת">
            
            <script language="JavaScript">
                document.forms["purchase_form"].submit();
            </script>
        </form>
        </div>
        
    </body>
</html>